Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Cart (Create Order)

Cart (Create Order): Payment

Get

GET https://container-url.zoeysite.com/api/rest/checkout2/cart_payment?id=287

Get the available payment methods from the cart.

Query parameters:

NameExampleNotes
id287ID of shopping cart to fetch info. ( Required )

Example response (Get), HTTP 200:

[
    {
        "code": "purchaseorder",
        "title": "Purchase Order",
        "cc_types": null,
        "min_max_info": {
            "min_info": {
                "default_minimum": 0,
                "group_minimums": []
            },
            "max_info": {
                "default_maximum": "",
                "group_maximums": []
            }
        },
        "auto_generate": 0
    },
    {
        "code": "banktransfer",
        "title": "Bank Transfer Payment",
        "cc_types": null
    },
    {
        "code": "cashondelivery",
        "title": "Cash On Delivery",
        "cc_types": null
    },
    {
        "code": "paypal_direct",
        "title": "PayPal Payments Pro",
        "cc_types": {
            "VI": "Visa"
        }
    },
    {
        "code": "affirm",
        "title": "Affirm",
        "cc_types": null
    },
    {
        "code": "cryozonic_stripe",
        "title": "Pay by Card (Stripe)",
        "cc_types": null
    },
    {
        "code": "authorizenet",
        "title": "Credit Card (Authorize.net)",
        "cc_types": {
            "AE": "American Express",
            "VI": "Visa",
            "MC": "MasterCard",
            "DI": "Discover"
        }
    },
    {
        "code": "checkmo",
        "title": "Check / Money Order",
        "cc_types": null
    }
]

Set

PUT https://container-url.zoeysite.com/api/rest/checkout2/cart_payment

Add a payment method to the cart.

Note
Each payment method will require different options. The method checkmo (Check or Money Order) requires no additional options while purchaseorder (Purchase Order) requires a po_number property.

At this time Zoey does not support the ability to use online payment methods such as Stripe/Authorize.net - this is an enhancement we plan on doing in the future.

method Description
method Payment method code. (purchaseorder, checkmo, netterms, etc.)
po_number If payment method purchaseorder is being used, use this field to set the purchase order number.

Example request body:

{
    "cartId": "287",
    "method": {
        "method": "purchaseorder",
        "po_number": "PO-8675309"
    }
}